import { request } from "../../config";

// 查询金蝶日志
export function getkingdeeLog(
  pageNo?: number,
  pageSize?: number,
  dateFrom?: string,
  dateTo?: string,
  name?: string,
  flag?: any
) {
  return request({
    url: "/api/kingdee/log/list",
    method: "get",
    params: { pageNo, pageSize, dateFrom, dateTo, name, flag },
  });
}

// 查询第三方日志
export function getThirdPartyLog(
  pageNo?: number,
  pageSize?: number,
  dateFrom?: string,
  dateTo?: string,
  name?: string,
  flag?: any,
  queueId?: string
) {
  return request({
    url: "/api/third/party/log/list",
    method: "get",
    params: { pageNo, pageSize, dateFrom, dateTo, name, flag, queueId },
  });
}
